Subject: Re: Clear text authentication in SASL?

From: "Jack De Winter" <[email-masked]>
Date: Fri, 2 May 1997 19:08:23 -0400

At 03:19 PM 5/2/97 -0700, Jeff Stephenson (Exchange) wrote:
>Has anybody been working on or thinking about a clear-text
>userid/password authentication mechanism for SASL?  Combined with an
>already secured connection via, say, STARTTLS, it would provide a simple
>way to obtain a decent level of authentication in a secure manner.  In
>SMTP it might look like
>
>   S: 220 mail.whitehouse.gov ready
>   C: EHLO elvis.graceland.com
>   S: 250-mail.whitehouse.gov
>   S: 250-TLS
>   S: 250 AUTH=CLEAR
>   C: STARTTLS SSL3.0
>   S: 220 Go ahead with SSL3.0
>   <start TLS session - from here on we're secure>
>   C: AUTH CLEAR userid password
>   S: 235 Clear text authentication successful

I have to admit that John gave me this task and I am a touch behind.  I will
be sending in the draft on Monday as soon as I check something out with
John.

regards,
Jack